Subject: IPP> IPP implementation question

From: Roger K Debry <[email-masked]>
Date: Wed, 11 Jun 1997 15:00:19 -0400

An implementor would always need the model document anyway
in order to implement the proper semantics.  Clearly there will have
to be some duplication to make the protocol document usable.

Roger K deBry
Senior Techncial Staff Member
Architecture and Technology
IBM Printing Systems
email: [email-masked]
phone: 1-303-924-4080

---------------------- Forwarded by Roger K Debry/Boulder/IBM on 06/11/97 12:44
PM ---------------------------

        ipp-owner @ pwg.org
        06/11/97 12:45 PM
Please respond to [email-masked] @ internet

To: ipp @ pwg.org @ internet
cc:
Subject: IPP> IPP implementation question

I have a general question regarding implementation of IPP.

Should the protocol mapping document contain all information necessary
to implement
IPP over HTTP, or does an implementer have to have copies of both the
encoding document,
and the model document to implement?

In the protocol mapping document, I have to fully specify everything
that goes on the "wire" for
IPP messages. If I do this, then there will be some overlap of mapping
document to model
document.

Randy